/* ///////////////////////////////////////////////////////////////////////
 * File:		atomic_func.h		
 *
 * Created:		08.03.20				
 * Updated:		09.01.15
 *
 * Brief:		the atomic operation functions 
 *
 * [<Home>]
 * Copyright (c) 2008-2020, Waruqi All rights reserved.
 * //////////////////////////////////////////////////////////////////// */
#ifndef EXTL_UNIX_SYNCH_ATOMIC_FUNC_H
#define EXTL_UNIX_SYNCH_ATOMIC_FUNC_H

/*!\file atomic_func.h
 * \brief atomic_func class
 */

/* ///////////////////////////////////////////////////////////////////////
 * Includes
 */
#include "prefix.h"

/* ///////////////////////////////////////////////////////////////////////
 * ::extl::platform::unix namespace
 */
EXTL_UNIX_BEGIN_WHOLE_NAMESPACE


/* ///////////////////////////////////////////////////////////////////////
 * ::extl::platform::unix namespace
 */
EXTL_UNIX_END_WHOLE_NAMESPACE	

/* //////////////////////////////////////////////////////////////////// */
#endif /* EXTL_UNIX_SYNCH_ATOMIC_FUNC_H */
/* //////////////////////////////////////////////////////////////////// */
